Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 82961

Summary: krb5 < 1.2.5 vulnerable to multiple attacks
Product: [Retired] Red Hat Linux Reporter: Seth Vidal <skvidal>
Component: krb5Assignee: Nalin Dahyabhai <nalin>
Status: CLOSED ERRATA QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: high    
Version: 7.3Keywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://online.securityfocus.com/archive/1/308899/2003-01-25/2003-01-31/0
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-04-23 10:36:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Seth Vidal 2003-01-28 23:57:13 UTC
Description of problem: According to the included URL krb5's kdc <1.2.5 is
vulnerable to multiple attacks.

Are there patches and/or errata in the queue for release?

would a rebuild of srpms from 8.0 work on 7.3?



thanks
-sv

Comment 1 Mark J. Cox 2003-02-06 11:23:32 UTC
Only the following two of the four listed vulnerabilities apply to Red Hat Linux
7.3:

An integer signedness error in the ASN.1 decoder before version 1.2.5
allows remote attackers to cause a denial of service via a large unsigned
data element length, which is later used as a negative value. The Common
Vulnerabilities and Exposures project has assigned the name CAN-2002-0036
to this issue. Red Hat Linux 8.0 and later is not affected by this issue.

The Key Distribution Center (KDC) before version 1.2.5 allows remote,
authenticated, attackers to cause a denial of service (crash) on KDCs
within the same realm via a certain protocol request that causes a null
dereference. The Common Vulnerabilities and Exposures project has assigned
the name CAN-2003-0058 to this issue. Red Hat Linux 8.0 and later is not
affected by this issue.

An advisory containing backported patches for these issues is being worked on

Comment 2 Mark J. Cox 2003-04-23 10:36:01 UTC
These and other issues were fixed by errata
http://rhn.redhat.com/errata/RHSA-2003-051.html
out on Mar26